Method: projects.locations.instances.keyRings.delete
Stay organized with collections
Save and categorize content based on your preferences.
Deletes a KeyRing and its KeyPolicy. The KeyRing must contain no keys; otherwise the request fails with FAILED_PRECONDITION.
HTTP request
DELETE https://mpc.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*/keyRings/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters |
name |
string
Required. The name of the KeyRing to delete. The KeyRing must contain no keys. Format: projects/{project}/locations/{location}/instances/{instance}/keyRings/{keyRing} It takes the form projects/{project}/locations/{location}/instances/{instance}/keyRings/{keyring}.
|
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-10-27 UTC.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-10-27 UTC."],[],[]]